function ris=newton_phi_even(beven,power)
m=length(beven);

F=map_phi_even(beven,m);
while norm(F,inf)>10^(-power)
    J1=jacobian_map_phi_even(beven);
    V1=beven-J1\F;
    beven=V1;
    F=map_phi_even(beven,m); 
end
ris=beven;

end
